<script setup lang="ts">
////////////////////////////////
// PROBS
////////////////////////////////

const props = defineProps({
  text: {
    type: String,
    required: true,
  },
  type: {
    type: String,
    required: true,
  },
});

////////////////////////////////
// EMITS
////////////////////////////////

const emits = defineEmits(["messageDisplayed"]);

////////////////////////////////
// DATA
////////////////////////////////

const snackbar = ref(false);
const timeout = ref(3000);
const tempText = ref("");
const tempType = ref("");

////////////////////////////////
// WATCH
////////////////////////////////

watch(
  () => props.text,
  (newValue) => {
    if (newValue) {
      tempText.value = props.text;
      tempType.value = props.type;
      emits("messageDisplayed", true);
      snackbar.value = true;
    }
  },
);
</script>

<template>
  <v-snackbar
    v-model="snackbar"
    :timeout="timeout"
    :color="tempType"
  >
    {{ tempText }}
    <template v-slot:actions>
      <v-btn variant="text" @click="snackbar.value = false">
        Close
      </v-btn>
    </template>
  </v-snackbar>
</template>
